Get Subscription By ID
curl --request GET \
--url https://development.knotapi.com/subscriptions/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://development.knotapi.com/subscriptions/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://development.knotapi.com/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://development.knotapi.com/subscriptions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://development.knotapi.com/subscriptions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://development.knotapi.com/subscriptions/{id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://development.knotapi.com/subscriptions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "13da3c28-a068-4642-9ce2-b730cfda5f5f",
"external_id": "a9x7bq2lmw5p",
"name": "Disney+, Hulu Bundle Premium",
"description": "Ad-free streaming with Disney+ and Hulu",
"merchant": {
"id": 18,
"name": "Hulu",
"category": "Streaming",
"logo": "https://knot.imgix.net/merchants/KBQ5j6cN010PPpwbO7RpKGyDrCpsZ91FRhwnZp5u.png",
"parent_merchant": null
},
"status": "ACTIVE",
"billing_cycle": "RECURRING_MONTHLY",
"next_billing_date": "2026-02-10",
"last_billing_date": "2026-01-10",
"start_date": "2025-06-15",
"expiration_date": null,
"payment_method": {
"type": "CARD",
"brand": "VISA",
"last_four": "1234"
},
"cancel_instructions": "You can cancel your subscription at any time from your account settings. Your cancellation will take effect at the end of your current billing period. You'll continue to have access until May 30, 2026. You will not be charged again unless you restart your subscription.",
"is_paid": true,
"is_family_plan": false,
"is_cancellable": true,
"price": {
"total": "11.99",
"currency": "USD"
}
}SubscriptionManager
Get Subscription By ID
Get a specific subscription by ID.
GET
/
subscriptions
/
{id}
Get Subscription By ID
curl --request GET \
--url https://development.knotapi.com/subscriptions/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://development.knotapi.com/subscriptions/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://development.knotapi.com/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://development.knotapi.com/subscriptions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://development.knotapi.com/subscriptions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://development.knotapi.com/subscriptions/{id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://development.knotapi.com/subscriptions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "13da3c28-a068-4642-9ce2-b730cfda5f5f",
"external_id": "a9x7bq2lmw5p",
"name": "Disney+, Hulu Bundle Premium",
"description": "Ad-free streaming with Disney+ and Hulu",
"merchant": {
"id": 18,
"name": "Hulu",
"category": "Streaming",
"logo": "https://knot.imgix.net/merchants/KBQ5j6cN010PPpwbO7RpKGyDrCpsZ91FRhwnZp5u.png",
"parent_merchant": null
},
"status": "ACTIVE",
"billing_cycle": "RECURRING_MONTHLY",
"next_billing_date": "2026-02-10",
"last_billing_date": "2026-01-10",
"start_date": "2025-06-15",
"expiration_date": null,
"payment_method": {
"type": "CARD",
"brand": "VISA",
"last_four": "1234"
},
"cancel_instructions": "You can cancel your subscription at any time from your account settings. Your cancellation will take effect at the end of your current billing period. You'll continue to have access until May 30, 2026. You will not be charged again unless you restart your subscription.",
"is_paid": true,
"is_family_plan": false,
"is_cancellable": true,
"price": {
"total": "11.99",
"currency": "USD"
}
}Authorizations
Path Parameters
Response
Successful request.
Instructions for cancelling the subscription, if available.
Example:
"You can cancel your subscription at any time from your account settings. Your cancellation will take effect at the end of your current billing period. You'll continue to have access until May 30, 2026. You will not be charged again unless you restart your subscription."
Was this page helpful?